<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("include/common.php");


opentable($locale['AWC015']);
awc_show_menu();

echo "<div align='center'>\n";

echo "<b>".$locale['AWC000']." ".$awc_settings['version']."</b>\n";

if(!AWC_ONLINE) {
	echo "<p><div style='padding: 10px;' class='textbox'>
<code><b>".$locale['AWC250']."</b></code><br><br>
<code>".$awc_settings['reason']."</code></div>";
}

echo "
<pre style='font-family:monospace;'>
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
</pre>
</div>

<p><a href='ChangeLog'>ChangeLog</a><br>
<a href='TODO'>TODO</a>

<p>
The directory <b>images/</b> contains some bitmaps that come with
<a href='http://www.tim-mann.org/xboard.html' target='_blank'>xboard</a>.
These bitmaps are distributed under the GNU GENERAL PUBLIC LICENSE
coming with xboard.
<p><a href='images/README'>README</a><br>
<a href='images/README.bitmaps'>README.bitmaps</a>";

closetable();

require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
