<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   Dutch translation by jakeb graaftel@sesamstraatclan.nl                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
// general
$locale['AWC000'] = "awChess";
//AWC001
$locale['AWC002'] = "Opties"; // Options
$locale['AWC003'] = "Opslaan"; // Save
$locale['AWC004'] = "Start"; // Begin
$locale['AWC005'] = "Laatste zet"; // Last move
$locale['AWC006'] = "Wit"; // White
$locale['AWC007'] = "Zwart"; // Black
$locale['AWC008'] = "Aanpassen";//FIXME // Edit
$locale['AWC009'] = "Verwijderen"; // Delete
$locale['AWC010'] = "Totaal"; // All
$locale['AWC011'] = "Overzicht"; // Overview
$locale['AWC012'] = "Archief"; // Archive
$locale['AWC013'] = "Nieuwe Partij"; // New Game
$locale['AWC014'] = "Statistieken"; // Stats
$locale['AWC015'] = "Over awChess"; // About...
$locale['AWC016'] = "Gecreerd op"; // Created on
$locale['AWC017'] = "Laatste zet op"; // Last move on
$locale['AWC018'] = "is aan zet"; // is on turn
$locale['AWC019'] = "Status"; // Status"
$locale['AWC020'] = "Naar Partij"; // To Game
$locale['AWC021'] = "[Onbekend]"; // [Unknown]

// newgame.php
$locale['AWC100'] = "Partijen"; // Games
$locale['AWC101'] = "Tegenstander"; // Opponent
$locale['AWC102'] = "Publieke partij"; // Public game
$locale['AWC103'] = "Uitnodigen"; // Invite
$locale['AWC104'] = "U bent voor een schaakpartij uitgenodigd."; // You have been invited to play chess.

// viewgame.php
$locale['AWC200'] = "Dit commentaar werkelijk verwijderen?"; // Really delete this comment?
$locale['AWC201'] = "(*) Ongedaan gemaakt<br>(R) Rochade"; // (*) Undo<br>(R) Castling
$locale['AWC202'] = "Rochade: Koning en de Toren aanklikken. Als JavaScript aanstaat zal rochade geschieden."; // Castling: Click on the and the tower. If JavaScript is enabled, you should see figures changing places.
$locale['AWC203'] = "Verversen"; // Reset
$locale['AWC204'] = "Beindigen partij"; // Abort game
$locale['AWC205'] = "Ok"; // Draw!
$locale['AWC206'] = "Laatste zet tegenstander ongedaan maken"; // Undo opponent's last move
$locale['AWC207'] = "Nieuwe Commentaren"; // New Comments
$locale['AWC208'] = "Graag een reden opgeven."; // Please provide reason.
$locale['AWC209'] = "Nog geen commentaar aanwezig."; // No comments written yet.
$locale['AWC210'] = "Gestart"; // Begin
$locale['AWC211'] = "Laatste zet"; // Last move
$locale['AWC212'] = "Commentaar"; // Comments
$locale['AWC213'] = "Zet niet toegestaan"; // Invalid move, e.g. a2-a3

// about.php
$locale['AWC250'] = "Deze dienst is op dit moment beschikbaar."; // This service is offline at the moment.

// stats.php
$locale['AWC300'] = "[fuctionaliteit in opbouw]"; // Under construction...
$locale['AWC301'] = "Toon mijn partijen"; // Show my games
$locale['AWC302'] = "Gewonnen"; // Won
$locale['AWC303'] = "Verloren"; // Lost
$locale['AWC304'] = "Remise"; // Remis
$locale['AWC305'] = "Lopend"; // Running
$locale['AWC306'] = "* Statistieken kunnen inconsistent zijn aangezien tegen zichzelf gespeeld kan worden."; // * Stats can be inconsistent due to games against oneself.

// index.php
$locale['AWC350'] = "Ik ben in deze partij aan zet."; // I am on turn in this game.
$locale['AWC351'] = "Nieuwe zet na laatste login."; // New move since last login.
$locale['AWC352'] = "Geen nieuwe zet na laatste login."; // No move since last login.

// include/game.php
$locale['AWC400'] = "Schaak: Gebruikeraanvragen aanwezig"; // Chess: User requests available
$locale['AWC401'] = "Ik heb een zet gedaan"; // I've made a move

// settings.php
$locale['AWC700'] = "Instellingen"; // Settings
$locale['AWC701'] = "Spelersgroep"; // Players-Group
$locale['AWC702'] = "Partijen per Pagina"; // Games per Page
$locale['AWC703'] = "Partijen per Speler"; // Games per Player
$locale['AWC704'] = "PB Admin"; // PM Admin
$locale['AWC705'] = "Systeem online?"; // System online?
$locale['AWC706'] = "Thema (werkt nog niet)"; // Theme (not working yet)
$locale['AWC707'] = "--Geen PB--"; // --No PM--

// gameadmin.php
$locale['AWC750'] = "Partij Administratie"; // Game Admin
$locale['AWC751'] = "Voettekst"; // Footnote
//752
$locale['AWC753'] = "Kleur"; // Side
$locale['AWC754'] = "Onderstreepte Speler is aan zet"; // Underlined Player is on turn
$locale['AWC755'] = "Aanvragen"; // Requests
$locale['AWC756'] = "Lopende partijen"; // Running games
$locale['AWC757'] = "Eigenaar"; // Owner
$locale['AWC758'] = "Verwijder"; // Delete
$locale['AWC759'] = "Deze partij verwijderen?"; // Delete this game?

// include/common.php
$locale['AWC800'] = "Opmerking"; // Notice
$locale['AWC801'] = "Totaal"; // All
$locale['AWC802'] = "Eigen"; // Only mine
$locale['AWC803'] = "Geen partijen aanwezig."; // No games available.
$locale['AWC804'] = "van"; // from
$locale['AWC805'] = "Toon Partijen"; // Show Games


// db_update.php
$locale['AWC850'] = "Database Update"; // Database Update
$locale['AWC851'] = "Update is beschikbaar"; // Update is available
$locale['AWC852'] = "Please make sure all MySQL statements executed successfully! If this is not the case, please submit a bug report and attach these statements!";
$locale['AWC853'] = "Druk onderstaand op de juiste knop om update proces te starten!"; // Click on the appropriate button below to start the update process!
$locale['AWC854'] = "Start Update..."; // Start Update...
$locale['AWC855'] = "De volgende MySQL statements zullen worden uitgevoerd"; // The following MySQL statements will be executed
$locale['AWC856'] = "Fouten gedurende update"; // Errors during update
$locale['AWC857'] = "Fout"; // Error
$locale['AWC858'] = "Nee"; // No
$locale['AWC859'] = "U kunt deze versie niet updaten. U heeft nodig minstens versie"; // You cannot update this version. You need at least version
$locale['AWC860'] = "Succesvolle update!"; // Successfully updated!
$locale['AWC861'] = "Verder"; // Proceed
$locale['AWC862'] = "Ok"; // OK


// misc - please do not change array keys
$locale['AWC997'] = array(
	"r"	=> "Partij is aan de gang",
	"W"	=> "Wit gewonnen",
	"w"	=> "Wit gewonnen, omdat Zwart heeft opgegeven",
	"B"	=> "Zwart gewonnen",
	"b"	=> "Zwart gewonnen, omdat Wit heeft opgegeven",
	"M"	=> "Remise",
	"p"	=> "Pause",
	"?"	=> "Gebruikeraanvraag",
);
$locale['AWC998'] = array(
	0		=> "Zet succesvol!",
	AWC_EMOVE	=> "Niet toegestane zet.",
	AWC_ECAPTURE	=> "Kunt eigen stukken niet slaan.",
	AWC_EUPDATE	=> "Error while updating database.",
	AWC_EKINGKILL	=> "Kunt koning niet slaan.",
	AWC_ECOMMENT	=> "Commentaar is leeg.",
	AWC_EREQUEST	=> "Aanvraagbericht is leeg.",
	AWC_EACCESS	=> "Geen rechten om een partij te starten.",
	AWC_ENEWGAME	=> "U mag geen partij meer starten."
			." Het is genoeg :)",
);
// please do not change array keys
$locale['AWC999'] = array(
	"T"	=> "Toren",
	"S"	=> "Paard",
	"L"	=> "Loper",
	"K"	=> "Koning",
	"D"	=> "Dame",
	"B"	=> "Pion",
	"-"	=> "",
);
?>
