<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("include/common.php");


if(isset($_GET['id']) && isNum($_GET['id'])) {
	$id = $_GET['id'];
} else {
	fallback("index.php");
}
if(iMEMBER) {
	$user_id = $userdata['user_id'];
} else {
	$user_id = 0;
}
// FIXME - some field may be obsolete.
$query = "SELECT white_next, white_id, black_id,"
	." board, moves, ctime, mtime, state, request_msg"
	." FROM ".DB_PREFIX."aw_chess"
	." WHERE id='$id'";
if(!iSUPERADMIN) {
	if(iMEMBER) {
		$query .= " AND (white_id='$user_id'
			OR black_id='$user_id' OR public='Y')";
	} else {
		$query .= " AND public='Y'";
	}
}

$query_id = dbquery($query);
if(dbrows($query_id) != 1) {
	fallback("index.php");
}
$game = dbarray($query_id);



// action script
require_once("include/game.php");


/*
 * DEFINES
 */
$aw_images['t'] = AW_IMAGES."rdd".$awc_board_size.".gif";	// black
$aw_images['s'] = AW_IMAGES."ndd".$awc_board_size.".gif";
$aw_images['l'] = AW_IMAGES."bdd".$awc_board_size.".gif";
$aw_images['k'] = AW_IMAGES."kdd".$awc_board_size.".gif";
$aw_images['d'] = AW_IMAGES."qdd".$awc_board_size.".gif";
$aw_images['b'] = AW_IMAGES."pdd".$awc_board_size.".gif";
$aw_images['T'] = AW_IMAGES."rld".$awc_board_size.".gif";	// white
$aw_images['S'] = AW_IMAGES."nld".$awc_board_size.".gif";
$aw_images['L'] = AW_IMAGES."bld".$awc_board_size.".gif";
$aw_images['K'] = AW_IMAGES."kld".$awc_board_size.".gif";
$aw_images['D'] = AW_IMAGES."qld".$awc_board_size.".gif";
$aw_images['B'] = AW_IMAGES."pld".$awc_board_size.".gif";
$aw_images['-'] = AW_IMAGES."empty".$awc_board_size.".gif";	// others
$aw_images['#'] = AW_IMAGES."board".$awc_board_size.".gif";
$aw_images['!'] = AW_IMAGES."last".$awc_board_size.".gif";


?>
<script type='text/javascript'>

function awc_empty_dazwischen(king, tower, to_type)
{
	var from_i = 0;
	var to_i = 0;
	var line = king.substr(1, 1);
	var dir = 0;

	if(king.charCodeAt(0) < tower.charCodeAt(0)) {
		from_i = king.charCodeAt(0);
		to_i = tower.charCodeAt(0);
		dir = 1;
	} else {
		from_i = tower.charCodeAt(0);
		to_i = king.charCodeAt(0);
		dir = -1;
	}

	// check for pieces in between
	var name;
	for(var i=from_i+1; i<to_i; i++) {
		name = String.fromCharCode(i)+line;
//		alert(name);
		if(document.images[name].alt!="-") {
			return 0;
		}
	}

	return dir;
}


var origin_name = "";
function awc_user_click(name) {
	// origin
	if(origin_name=="") {
		origin_name = name;

		document.move_form.aw_move.value += name + "-";
		document.images[origin_name].border = "1";

	// dest
	} else {
		if(origin_name != name) {
			var origin_type = document.images[origin_name].alt;
			var dest_type = document.images[name].alt;
			var dir = 0;
			var king = "";
			var tower = "";
			if(origin_type.toUpperCase()=="K"
				&& dest_type.toUpperCase()=="T") {
				king = origin_name;
				tower = name;
			} else if(origin_type.toUpperCase()=="T"
				&& dest_type.toUpperCase()=="K") {
				king = name;
				tower = origin_name;
			}
			if(king != "") {
				dir = awc_empty_dazwischen(king, tower);
			}

			if(dir != 0) {
				var king_pos = king.charCodeAt(0)+2*dir;
				king_pos = String.fromCharCode(king_pos)
					+ king.substr(1,1);
				var tower_pos = tower.charCodeAt(0)-2*dir;
				tower_pos = String.fromCharCode(tower_pos)
					+ tower.substr(1,1);
				if(tower_pos==king_pos) {
					tower_pos = tower.charCodeAt(0)-3*dir;
					tower_pos = String.fromCharCode(tower_pos) + tower.substr(1,1)
				}
				// place
				// set new king/tower
				document.images[king_pos].src
					= document.images[king].src;
				document.images[tower_pos].src
					= document.images[tower].src;
				// clear old king/tower
				document.images[king].src =
					"<?php echo $aw_images['-']; ?>";
				document.images[tower].src =
					"<?php echo $aw_images['-']; ?>";
			} else {
				if(dest_type!="-" // empty field
					&&
					((origin_type.charCodeAt(0)>=97
					&& dest_type.charCodeAt(0)>=97)
					|| (origin_type.charCodeAt(0)<97
						&& dest_type.charCodeAt(0)<97))){
//					alert("cannot capture");
					return;
				}
				if(dest_type=="k" || dest_type=="K") {
					return;
				}
				// fill dest
				document.images[name].src
					= document.images[origin_name].src;
				// empty origin
				document.images[origin_name].src =
					"<?php echo $aw_images['-']; ?>";
			}
			document.move_form.aw_move.value += name;
		} else {
			document.move_form.aw_move.value = "";
		}

		document.images[origin_name].border = "0";
		origin_name = "";
	}
}


function awc_verify_request(frm) {
	if(frm.msg.value=="") {
		alert("<?php echo $locale['AWC208']; ?>");
		return false;
	}
	return true;
}

function awc_verify(frm) {
	var content = frm.aw_move.value;
	var move = /^[a-h][1-8]-[a-h][1-8]$/;
	if(!move.test(content)) {
		alert(""+content+": <?php echo $locale['AWC213']; ?>");
		return false;
	}
	return true;
}

function awc_verify_delcomm() {
	return confirm("<?php echo $locale['AWC200']; ?>");
}
</script>
<?php


for($i=0; $i<8; $i++) {		// row
	for($k=0; $k<8; $k++) {	// col
		$ind_to_name[$i*8+$k] = chr(ord('a')+$k).(8-$i);
	}
}


/*
 * FUNCS
 */
function ps_get_bb_smileys($input, $s_name, $show_disable_smileys, $checked) {
	global $locale;
	return "<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('$input', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('$input', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('$input', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('$input', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('$input', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('$input', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('$input', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('$input', '[small]', '[/small]');\">
<input type='button' value='code' class='button' style='width:40px;' onClick=\"addText('$input', '[code]', '[/code]');\">
<input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('$input', '[quote]', '[/quote]');\">
<br><br>
".displaysmileys($input);
/*FIXME
.($show_disable_smileys
	? "<br><input type='checkbox' name='$s_name' $checked>"
		.$locale['PS009']
	: ""
);
*/
}

function show_help() {
	global $locale, $aw_images;

	echo "<hr><table width='100%' border='0'>"
		."<tr>\n";
	foreach($aw_images as $peace => $fn) {
		if(!ctype_upper($peace)) {
			continue;
		}
		echo "<td align='center' width='16%'>"
			."<img src='".$aw_images[$peace]."'"
				." alt=''><br>".$locale['AWC999'][$peace]
			."</td>\n";
	}
	echo "</tr></table>\n";
	echo "<span class='small2'>".$locale['AWC202']."</span>\n";
}


function awc_get_board($board, $is_white, $last_move) {
	global $aw_images, $ind_to_name, $locale, $awc_board_size;

	$content = "";

	$td_s = $awc_board_size + 2;

	if(!is_null($last_move)) {
		$last_move_1 = substr($last_move, 0, 2);
		$last_move_2 = substr($last_move, -2, 2);
	} else {
		$last_move_1 = "";
		$last_move_2 = "";
	}

	$content .= "<table cellspacing='0' cellpadding='0' border='0'"
		." style='background-image:url(".$aw_images['#'].");'>\n";
	$content .= "<tr>\n<td width='20'>&nbsp;</td>";
	if(!$is_white) {
		for($k=ord('h'); $k>=ord('a'); $k--) {
			$content .= "<td width='$td_s' align='center' valign='center'"
				." height='20'><b>".chr($k)."</b></td>";
		}
	} else {
		for($k=ord('a'); $k<=ord('h'); $k++) {
			$content .= "<td width='$td_s' align='center' valign='center'"
				." height='20'><b>".chr($k)."</b></td>";
		}
	}
	$content .= "<td width='20'>&nbsp;</td></tr>\n";

	for($i=0; $i<8; $i++) {
		$content .= "<tr>\n";
		$content .= "<td height='$td_s' align='center' valign='center'><b>"
			. (!$is_white ? $i+1 : (8-$i)) . "</b></td>\n";
		for($k=0; $k<8; $k++) {
			$ind = $i*8+$k;
			if(!$is_white)
				$ind = 63 - $ind;
			$f = $ind_to_name[$ind];
			$content .= "  <td align='center' valign='center'";
			if($f==$last_move_1 || $f==$last_move_2) {
				$content .= " style='background-image:url("
					.$aw_images['!'].")'";
			}
			$content .= ">";

			$type = $board[$ind];
			$title = $locale['AWC999'][strtoupper($type)];
			$content .= "<a href='javascript:awc_user_click(\"$f\");'>"
				."<img alt='$type' title='$title'"
				." src='".$aw_images[$board[$ind]]."'"
				." name='$f' border='0'></a>";
			$content .= "</td>\n";
		}
		$content .= "<td height='".($awc_board_size+2)."'"
			." align='center' valign='center'><b>"
			. (!$is_white ? $i+1 : (8-$i)) . "</b></td>\n";
	}
	$content .= "<tr>\n<td>&nbsp;</td>";
	if(!$is_white) {
		for($k=ord('h'); $k>=ord('a'); $k--) {
			$content .= "<td align='center' valign='center' height='20'>"
				."<b>".chr($k)."</b></td>";
		}
	} else {
		for($k=ord('a'); $k<=ord('h'); $k++) {
			$content .= "<td align='center' valign='center' height='20'>"
				."<b>".chr($k)."</b></td>";
		}
	}
	$content .= "<td></td></tr>\n";
	$content .= "</table>\n";

	return $content;
}

function awc_get_history($moves, $move_count, $width, $height) {
	global $locale;

	$content = "";
	$height -= 35;

	$content .= "<div class='textbox' style='max-height:${height}px;"
		." min-height:${height}px; width:${width}px; white-space:pre;"
		." overflow:auto; font-family:monospace;' align='left'>";

	for($i=0; $i<$move_count; $i++) {
		if(strpos($moves[$i], AW_UNDO)) {
			$moves[$i] .= " (*)";
		} elseif(strpos($moves[$i], "X")) {
			$moves[$i] .= " (R)";
		}

		if(($i%2)==0) {
			$content .= str_pad(($i+2)/2, 3, " ", STR_PAD_LEFT)
				.". ".$moves[$i]."\n";
		} else {
			$content .= "     ".$moves[$i]."\n";
		}
	}
	$content .= "</div>";
	$content .= "<span class='small2'>".$locale['AWC201']."</span>\n";

	return $content;
}


function show_game($id, $board, $move_string, $state,
			$ctime, $mtime,
			$white_next, $my_id,
			$white_name, $white_id,
			$black_name, $black_id, $req_msg) {
	global $locale, $lastvisited, $awc_board_size;

	$is_white = ($my_id==$white_id);	// FIXME - guest always black.
	$allow_move = ($state==AW_RUNNING)
		&& (($my_id==$white_id && $white_next)
		|| ($my_id==$black_id && !$white_next));
	$my_game = ($state==AW_RUNNING
		&& ($my_id==$white_id || $my_id==$black_id));

	$aw_white = "<a href='stats.php?lookup=$white_id'>"
		.$white_name."</a>";
	$aw_black = "<a href='stats.php?lookup=$black_id'>"
		.$black_name."</a>";

	// show some board
	if(empty($move_string)) {
		$moves = array();
	} else {
		$moves = explode(AW_SEP, $move_string);
		if(empty($moves[0])) {
			array_shift($moves);
		}
	}
	$move_count = count($moves);

	$give_up_form = "";
	if($my_game) {
		$give_up_form =
			"<form method='post' action='".FUSION_SELF."?id=$id'"
			." onSubmit='return awc_verify_request(this);'>"
			."<input type='textbox' class='textbox' name='msg'><br>"
			."<input type='submit' name='gameover' class='button'"
			." value='".$locale['AWC204']."'></form>";
	}
	if($allow_move && $move_count
		&& !strpos($moves[$move_count-1], AW_UNDO)) {
		$give_up_form .= "<hr><form action='".FUSION_SELF
			."?id=$id&undo=1' method='post'>"
			."<input type='checkbox' name='yes'>"
				.$locale['AWC206']."<br>"
			."<input type='submit' name='aw_draw' class='button'"
				." value='".$locale['AWC205']."'>"
			."</form>";
	}




	// some game info.
	if($state==AW_RUNNING) {
		$status = "<b>".($white_next ? $locale['AWC006'] : $locale['AWC007'])
			." ".$locale['AWC018']."</b>";
	} else {
		$status = $locale['AWC997'][$state];
		if(!empty($req_msg)) {
			$status .= ": <span class='small2'>".$req_msg."</span>";
		}
	}
	echo "<p>
<table border='0' width='100%'>
<tr>
	<td width='1%' style='white-space:nowrap;'><b>"
		.$locale['AWC006'].":</b></td>
	<td>$aw_white</td>
	<td rowspan='5' valign='top' width='1%' style='white-space:nowrap;'>"
		."$give_up_form</td>
</tr>
<tr>
	<td style='white-space:nowrap;'><b>".$locale['AWC007'].":</b></td>
	<td>$aw_black</td>
</tr>
<tr>
	<td style='white-space:nowrap;'><b>".$locale['AWC210'].":</b></td>
	<td>".showdate("longdate", $ctime)."</td>
</tr>
<tr>
	<td style='white-space:nowrap;'><b>".$locale['AWC211'].":</b></td>
	<td>".showdate("longdate", $mtime)."</td>
</tr>
<tr>
	<td style='white-space:nowrap;'><b>".$locale['AWC019'].":</b></td>
	<td>$status</td>
</tr>
</table>\n";

	if(iMEMBER && dbcount("(*)", "aw_chess_comments",
		"(game_id='$id' AND datestamp>='$lastvisited')")) {
		echo "<p><div align='center'><b>"
			.$locale['AWC207']."</b></div>\n";
	}

	echo "<hr>\n";

	echo "<table align='center' border='0' cellspacing='2' cellpadding='0'>
<tr>
	<td align='center'>".(!$is_white ? $aw_white : $aw_black)."</td>
	<td></td>
</tr>
<tr>
	<td align='center'>"
		.awc_get_board($board, $is_white,
			$move_count>0 ? $moves[$move_count-1] : NULL)."</td>
	<td>".awc_get_history($moves, $move_count, "140",
			($awc_board_size+2)*8+2*20)."</td>
</tr>
<tr>
	<td align='center'>".(!$is_white ? $aw_black : $aw_white)."</td>
	<td></td>
</tr>
<tr>
	<!--reset-->
	<td align='center'><a href='".FUSION_SELF."?id=$id'>"
		.$locale['AWC203']."</a>";

	// show lets-move-field.
	echo "<form method='post' action='".FUSION_SELF."?id=$id'"
		." name='move_form' onSubmit='return awc_verify(this);'>";
	//FIXME
	if($allow_move) {
		echo "
<input type='hidden' name='white_next' value='".($white_next?"Y":"N")."'>
<input type='hidden' name='aw_do_move' value='yes'>
<input type='hidden' name='aw_old_moves' value='$move_string'>
<input type='hidden' name='aw_old_board' value='$board'>
<input type='hidden' name='id' value='$id'>"
.($is_white ? "<input type='hidden' name='aw_is_white' value='yes'>\n" : "")
."<input type='text' name='aw_move' class='textbox'>
<input type='submit' name='aw_draw' class='button'"
	." value='".$locale['AWC205']."'>";
	} else {
		echo "<input type='hidden' name='aw_move' class='textbox'>";
	}
	echo "</form>\n";
	echo "</td>
	<td></td>
</tr>
</table>\n";
}


/*
 * GUI - errno
 */
if(isset($_GET['errno']) && isNum($_GET['errno'])) {
	$errno = $_GET['errno'];
	if(isset($locale['AWC998'][$errno])) {
		awc_msg($errno ? false : true, $locale['AWC998'][$errno]);
	} else {
		fallback(FUSION_SELF."?id=$id");
	}
}


/*
 * GUI
 */
opentable($locale['AWC000']);
awc_show_menu();

// get user names.
$white_name = array_shift(dbarray(dbquery("SELECT user_name"
	." FROM ".DB_PREFIX."users"
	." WHERE user_id='".$game['white_id']."'")));
$black_name = array_shift(dbarray(dbquery("SELECT user_name"
	." FROM ".DB_PREFIX."users"
	." WHERE user_id='".$game['black_id']."'")));
//
show_game($id, $game['board'], $game['moves'],
	$game['state'],
	$game['ctime'], $game['mtime'],
	$game['white_next']=="Y", $user_id,
	$white_name, $game['white_id'],
	$black_name, $game['black_id'], $game['request_msg']);
show_help();

closetable();
tablebreak();



/*
 * SHOW COMMENTS
 */
$commtext = "";
if(iSUPERADMIN && isset($_GET['editcomm']) && isNum($_GET['editcomm'])) {
	$editcomm = $_GET['editcomm'];
} else {
	unset($editcomm);
}
opentable($locale['AWC212']);
$query_id = dbquery("SELECT cc.*, fu.user_name"
	." FROM ".DB_PREFIX."aw_chess_comments AS cc"
	." LEFT JOIN ".DB_PREFIX."users AS fu USING(user_id)"
	." WHERE game_id='$id' ORDER BY datestamp ASC");
if(!dbrows($query_id)) {
	echo $locale['AWC209'];
} else {
	$count = 1;
	echo "<table width='100%' cellspacing='1' class='tbl-border'>\n";
}
while($comm = dbarray($query_id)) {
	$commid = $comm['id'];

	if(isset($editcomm) && $editcomm==$commid) {
		$commtext = $comm['message'];
	}

	switch($comm['user_id']) {
	case $game['white_id']:	$img = "p_white.gif";	break;
	case $game['black_id']:	$img = "p_black.gif";	break;
	default:		$img = "k_sa.gif";	break;
	}

	echo "<tr>
	<td class='tbl2' width='1%' valign='top'>"
			."<img src='icons/$img' alt=''></td>\n
	<td class='tbl".(++$count%2 + 1)."'><a name='comm$commid'>\n"
		."<a href='".BASEDIR."profile.php"
		."?lookup=".$comm['user_id']."'>".$comm['user_name']."</a>"
		." - <span class='small2'>"
			.showdate("shortdate", $comm['datestamp'])
		."</span>";
	if(iSUPERADMIN) {
		echo " [<a href='".FUSION_SELF."?id=$id&editcomm=$commid'>"
				.$locale['AWC008']."</a>"
			." | <a href='".FUSION_SELF."?id=$id&delcomm=$commid'"
				." onClick='return awc_verify_delcomm();'>"
				.$locale['AWC009']."</a>]";
	}
	echo "\n<br>\n".nl2br(parseubb(parsesmileys($comm['message'])))."</td>
</tr>\n";
}
if(dbrows($query_id)) {
	echo "</table>\n";
}


if(iSUPERADMIN || $user_id==$game['white_id'] || $user_id==$game['black_id']) {
	echo "<p><div align='center'>
<form method='post' action='".FUSION_SELF."?id=$id' name='inputform'>\n";
if(!empty($commtext)) {
	echo "<input type='hidden' name='commid' value='$editcomm'>\n";
}
echo "<textarea name='comment' class='textbox' rows='8' cols='60'>"
	."$commtext</textarea><br>
".ps_get_bb_smileys("comment", "not_used", false, "not_used")."<br>
<input type='submit' name='save' class='button' value='".$locale['AWC003']."'>
</form>
</div>\n";
}
closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
