<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
if(!iSUPERADMIN) {
	return;
}


$old_ver = $awc_settings['version'];
unset($new_ver);
$mysql = array();


switch($old_ver) {
case "0.3.5":
	$new_ver = "0.3.6";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."aw_chess_settings"
		." ADD COLUMN reason text NOT NULL default ''";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."aw_chess_settings"
		." MODIFY COLUMN version varchar(10) NOT NULL default ''";
	break;


case "0.3.6":
	$new_ver = "0.3.7";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."aw_chess_settings"
		." ADD COLUMN player_group smallint(5) unsigned NOT NULL default '101'";
	break;


case "0.3.7":
	$new_ver = "0.3.8";
	break;

default:
	break;
}

if(!isset($new_ver)) {
	return;
}


/*
 * GUI
 */
opentable($locale['AWC850']);
echo "<p><b>".$locale['AWC851']."</b>: $old_ver -&gt; $new_ver";

echo "<p>".$locale['AWC852'];

echo "<p>".$locale['AWC853'];

$do_update = isset($_GET['do_update']);

echo "<p>".$locale['AWC855'].":
<div class='textbox' style='height:300px;overflow:auto;'><ol>\n";
$res = "";
$errors = 0;
foreach($mysql as $query) {
	if($do_update) {
		if(dbquery($query)) {
			$res = "<span class='small2'>".$locale['AWC862']
				."</span>";
		} else {
			++$errors;
			$res = "<b>".$locale['AWC857']."</b>";
		}
		$res .= " - ";
	}
	echo "<li><code>".$res.$query."</code></li>\n";
}
echo "</ol></div>\n";
if($do_update) {
	if($errors) {
		echo "<p><b>".$locale['AWC856'].":</b> $errors";
	} else {
		$ok = dbquery("UPDATE ".DB_PREFIX."aw_chess_settings"
			." SET version='$new_ver'");
		echo "<p><b>".$locale['AWC860']."</b>";
	}
}

echo "<form method='get' action='".FUSION_SELF."'>\n";
if($do_update) {
	echo "<input type='submit' class='button'"
			." value='".$locale['AWC861']."'>\n";
} else {
	echo "<input type='hidden' name='do_update' value='1'>\n"
		."<input type='submit' class='button'"
			." value='".$locale['AWC854']."'>\n";
}
echo "</form>\n";

closetable();
tablebreak();

?>
