<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
// general
$locale['AWC000'] = "awChess";
//AWC001
$locale['AWC002'] = "Options";
$locale['AWC003'] = "Save";
$locale['AWC004'] = "Begin";
$locale['AWC005'] = "Last move";
$locale['AWC006'] = "White";
$locale['AWC007'] = "Black";
$locale['AWC008'] = "Edit";//FIXME
$locale['AWC009'] = "Delete";
$locale['AWC010'] = "All";
$locale['AWC011'] = "Overview";
$locale['AWC012'] = "Archive";
$locale['AWC013'] = "New Game";
$locale['AWC014'] = "Stats";
$locale['AWC015'] = "About...";
$locale['AWC016'] = "Created on";
$locale['AWC017'] = "Last move on";
$locale['AWC018'] = "is on turn";
$locale['AWC019'] = "Status";
$locale['AWC020'] = "To Game";
$locale['AWC021'] = "[Unknown]";

// newgame.php
$locale['AWC100'] = "Games";
$locale['AWC101'] = "Opponent";
$locale['AWC102'] = "Public game";
$locale['AWC103'] = "Invite";
$locale['AWC104'] = "You have been invited to play chess.";

// viewgame.php
$locale['AWC200'] = "Really delete this comment?";
$locale['AWC201'] = "(*) Undo<br>(R) Castling";
$locale['AWC202'] = "Castling: Click on the and the tower. If JavaScript is enabled, you should see figures changing places.";
$locale['AWC203'] = "Reset";
$locale['AWC204'] = "Abort game";
$locale['AWC205'] = "Draw!";
$locale['AWC206'] = "Undo opponent's last move";
$locale['AWC207'] = "New Comments";
$locale['AWC208'] = "Please provide reason.";
$locale['AWC209'] = "No comments written yet.";
$locale['AWC210'] = "Begin";
$locale['AWC211'] = "Last move";
$locale['AWC212'] = "Comments";
$locale['AWC213'] = "Invalid move, e.g. a2-a3";

// about.php
$locale['AWC250'] = "This service is offline at the moment.";

// stats.php
$locale['AWC300'] = "Under construction...";
$locale['AWC301'] = "Show my games";
$locale['AWC302'] = "Won";
$locale['AWC303'] = "Lost";
$locale['AWC304'] = "Remis";
$locale['AWC305'] = "Running";
$locale['AWC306'] = "* Stats can be inconsistent due to games against oneself.";

// index.php
$locale['AWC350'] = "I am on turn in this game.";
$locale['AWC351'] = "New move since last login.";
$locale['AWC352'] = "No move since last login.";

// include/game.php
$locale['AWC400'] = "Chess: User requests available";
$locale['AWC401'] = "I've made a move";

// settings.php
$locale['AWC700'] = "Settings";
$locale['AWC701'] = "Players-Group";
$locale['AWC702'] = "Games per Page";
$locale['AWC703'] = "Games per Player";
$locale['AWC704'] = "PM Admin";
$locale['AWC705'] = "System online?";
$locale['AWC706'] = "Theme (not working yet)";
$locale['AWC707'] = "--No PM--";

// gameadmin.php
$locale['AWC750'] = "Game Admin";
$locale['AWC751'] = "Footnote";
//752
$locale['AWC753'] = "Side";
$locale['AWC754'] = "Underlined Player is on turn";
$locale['AWC755'] = "Requests";
$locale['AWC756'] = "Running games";
$locale['AWC757'] = "Owner";
$locale['AWC758'] = "Delete";
$locale['AWC759'] = "Delete this game?";

// include/common.php
$locale['AWC800'] = "Notice";
$locale['AWC801'] = "All";
$locale['AWC802'] = "Only mine";
$locale['AWC803'] = "No games available.";
$locale['AWC804'] = "from";
$locale['AWC805'] = "Show Games";


// db_update.php
$locale['AWC850'] = "Database Update";
$locale['AWC851'] = "Update is available";
$locale['AWC852'] = "Please make sure all MySQL statements executed successfully! If this is not the case, please submit a bug report and attach these statements!";
$locale['AWC853'] = "Click on the appropriate button below to start the update process!";
$locale['AWC854'] = "Start Update...";
$locale['AWC855'] = "The following MySQL statements will be executed";
$locale['AWC856'] = "Errors during update";
$locale['AWC857'] = "Error";
$locale['AWC858'] = "No";
$locale['AWC859'] = "You cannot update this version. You need at least version";
$locale['AWC860'] = "Successfully updated!";
$locale['AWC861'] = "Proceed";
$locale['AWC862'] = "OK";


// misc - please do not change array keys
$locale['AWC997'] = array(
	"r"	=> "Game is running",
	"W"	=> "White won",
	"w"	=> "White won, because Black gave up",
	"B"	=> "Black won",
	"b"	=> "Black won, because White gave up",
	"M"	=> "Remis",
	"p"	=> "Pause",
	"?"	=> "User Request",
);
$locale['AWC998'] = array(
	0		=> "Move successful!",
	AWC_EMOVE	=> "Invalid move.",
	AWC_ECAPTURE	=> "Cannot capture your own figures.",
	AWC_EUPDATE	=> "Error while updating database.",
	AWC_EKINGKILL	=> "Cannot capture the king.",
	AWC_ECOMMENT	=> "Comment is empty.",
	AWC_EREQUEST	=> "Request message is empty.",
	AWC_EACCESS	=> "No rights to start a game.",
	AWC_ENEWGAME	=> "You cannot start game anymore."
			." It's enough :)",
);
// please do not change array keys
$locale['AWC999'] = array(
	"T"	=> "Rook",
	"S"	=> "Knight",
	"L"	=> "Bishop",
	"K"	=> "King",
	"D"	=> "Queen",
	"B"	=> "Pawn",
	"-"	=> "",
);
?>
