<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

if(!iMEMBER) {
	fallback("index.php");
}

require_once("include/common.php");


/*
 * GUI
 */
opentable($locale['AWC014']);
awc_show_menu();
$user_id = $userdata['user_id'];
$all = dbcount("(*)", "aw_chess",
	"(white_id='$user_id' OR black_id='$user_id')");
$won = dbcount("(*)", "aw_chess",
	"((white_id='$user_id' AND state='".AW_WHITE."')"
	." OR (black_id='$user_id' AND state='".AW_BLACK."'))");
$lost = dbcount("(*)", "aw_chess",
	"((white_id='$user_id' AND state='".AW_BLACK."')"
	." OR (black_id='$user_id' AND state='".AW_WHITE."'))");
$remis = dbcount("(*)", "aw_chess",
	"((white_id='$user_id' || black_id='$user_id')"
		." AND state='".AW_REMIS."')");
$running = dbcount("(*)", "aw_chess",
	"((white_id='$user_id' OR black_id='$user_id')"
		." AND state='".AW_RUNNING."')");

echo "<table border='0' cellspacing='2' cellpadding='0'>
<tr>
	<td colspan='3' align='left'><b>".$locale['AWC301'].":</b></td>
</tr>
<tr>
	<td width='10'></td>
	<td width='1%'><b>".$locale['AWC010'].":</b></td>
	<td>$all</td>
</tr>
<tr>
	<td></td>
	<td><b>".$locale['AWC302'].":</b></td>
	<td>$won</td>
</tr>
<tr>
	<td></td>
	<td><b>".$locale['AWC303'].":</b></td>
	<td>$lost</td>
</tr>
<tr>
	<td></td>
	<td><b>".$locale['AWC304'].":</b></td>
	<td>$remis</td>
</tr>
<tr>
	<td></td>
	<td><b>".$locale['AWC305'].":</b></td>
	<td>$running</td>
</tr>
</table>\n";
echo "<span class='small2'>".$locale['AWC306']."</span>\n";
closetable();



/*
 * GUI
 */
if(isset($_GET['lookup']) && isNum($_GET['lookup'])) {

	$lookup = $_GET['lookup'];

	// get opp name.
	$query_id = dbquery("SELECT user_name FROM ".DB_PREFIX."users "
		." WHERE user_id='$lookup'");
	if(dbrows($query_id)) {
		$opp_name = array_shift(dbarray($query_id));
	} else {
		$opp_name = $locale['AWC021'];
	}

	tablebreak();
	opentable($locale['AWC101'].": ".$opp_name);
	echo "<span class='small2'>".$locale['AWC300']."</span>\n";

/*
	// get all games.
	$query_id = dbquery("SELECT white_id, black_id, id, state, white_next"
		." FROM ".CHESS_TBL
		." WHERE (white_id='$my_id' AND black_id='$opp_id')"
		." OR (white_id='$opp_id' AND black_id='$my_id')");
	if(!$query_id) {
		return false;
	}

	opentable($opp_name);
	while($row = dbarray($query_id)) {
		$state = $row['state'];
		if($row['white_id']==$my_id) {
			echo $userdata['user_name']." - ".$opp_name;
		} else {
			echo $opp_name." - ".$userdata['user_name'];
		}
		echo " [";
		if($state==AW_RUNNING) {
			echo $locale[$row['white_next'] ? 'white' : 'black']
				." ".$locale['AWC018'];
		} else {
			echo $locale['AWC997'][$state];
		}
		echo "]<br>";
	
	}
	closetable();
	tablebreak();

	return true;
*/
	closetable();
}


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
